<?php
/*------------------------------------------------------------------------
# WordPress Christmas Theme - December 2008
# ------------------------------------------------------------------------
# Copyright (C) 2008 instantShift. All Rights Reserved.
# @license - WordPress Christmas Theme is available under the terms of the GNU General Public License.
# Author: instantShift.com
# Websites:  http://www.instantshift.com
-------------------------------------------------------------------------*/
?>

<?php get_header(); ?>

<!-- Main Body Start -->
<div id="middle">
<div class="background layoutright">

<div id="main">
<div id="main_container" class="clearingfix">
<div id="mainmiddle" class="floatbox withoutleft">

<?php get_sidebar(); ?>

<div id="content">
<div id="content_container" class="clearingfix">
<div class="floatbox">

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

<div class="comment" id="post-<?php the_ID(); ?>">
<h1>Image Name: <?php the_title(); ?></h1>
<h2 style="font-size:150%;"><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a></h2>
<div class="entry">
<a href="<?php echo wp_get_attachment_url($post->ID); ?>"><?php echo wp_get_attachment_image( $post->ID, 'medium' ); ?></a><br />
<br clear="all" />
<div class="caption"><?php if ( !empty($post->post_excerpt) ) the_excerpt(); // this is the "caption" ?></div>

<?php the_content('<p class="serif">Read the rest of this entry &raquo;</p>'); ?>

<div class="navigation clearingfix">
<div class="alignleft"><?php previous_image_link() ?></div>
<div class="alignright"><?php next_image_link() ?></div>
</div>

<div class="single-cats clearingfix">
<small>
This entry was posted on <?php the_time('l, F jS, Y') ?> at <?php the_time() ?>
and is filed under <?php the_category(', ') ?>.
<?php the_taxonomies(); ?>
You can follow any responses to this entry through the <?php post_comments_feed_link('RSS 2.0'); ?> feed.

<?php if (('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
// Both Comments and Pings are open ?>
You can <a href="#respond">leave a response</a>, or <a href="<?php trackback_url(); ?>" rel="trackback">trackback</a> from your own site.

<?php } elseif (!('open' == $post-> comment_status) && ('open' == $post->ping_status)) {
// Only Pings are Open ?>
Responses are currently closed, but you can <a href="<?php trackback_url(); ?> " rel="trackback">trackback</a> from your own site.

<?php } elseif (('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
// Comments are open, Pings are not ?>
You can skip to the end and leave a response. Pinging is currently not allowed.

<?php } elseif (!('open' == $post-> comment_status) && !('open' == $post->ping_status)) {
// Neither Comments, nor Pings are open ?>
Both comments and pings are currently closed.

<?php } edit_post_link('Edit this entry.','',''); ?>
</small>
</div>

</div>

</div>

<?php comments_template(); ?>

<?php endwhile; else: ?>

<p>Sorry, no attachments matched your criteria.</p>

<?php endif; ?>

</div>
</div>
</div>

</div>
</div>
</div>

</div>
</div>
<!-- Main Body End -->

<?php get_footer(); ?>
